summaryrefslogtreecommitdiffstats
path: root/graphics/mtpaint/mtpaint.SlackBuild
diff options
context:
space:
mode:
author slakmagik <jsun@freeshell.org>2010-05-24 00:19:28 -0500
committer Robby Workman <rworkman@slackbuilds.org>2010-05-24 16:10:22 -0500
commite4d29e0e7ec8e7d3a4afd534f826f18a6b6324bd (patch)
treecfe2def164aa19e1c51d6776e40f5ecf3c3fed11 /graphics/mtpaint/mtpaint.SlackBuild
parent77f8ee4bd4d5add19fe1149254d0a69d49ed71a6 (diff)
downloadslackbuilds-e4d29e0e7ec8e7d3a4afd534f826f18a6b6324bd.tar.gz
slackbuilds-e4d29e0e7ec8e7d3a4afd534f826f18a6b6324bd.tar.xz
Revert graphics/mtpaint removal and various cleanups.
This reverts commit 24165c73b6473a1cca357ebc076503a3b48a614c, fixes it to build on 13.1, and adds the user handbook.
Diffstat (limited to 'graphics/mtpaint/mtpaint.SlackBuild')
-rw-r--r--graphics/mtpaint/mtpaint.SlackBuild108
1 files changed, 108 insertions, 0 deletions
diff --git a/graphics/mtpaint/mtpaint.SlackBuild b/graphics/mtpaint/mtpaint.SlackBuild
new file mode 100644
index 0000000000..be87f55b66
--- /dev/null
+++ b/graphics/mtpaint/mtpaint.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/sh
+
+# Slackware build script for mtpaint
+# Written by slakmagik <jsun@freeshell.org>
+# Released under the WTFPL
+
+PRGNAM=mtpaint
+VERSION=${VERSION:-3.31}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+if [[ $GTK1 == yes ]]; then
+ GTK1=gtk1
+fi
+if [[ $TKWIDGETS == yes ]]; then
+ TKWIDGETS="gtkfilesel gtkcolsel"
+fi
+if [[ $INTL == yes ]]; then
+ INTL=intl
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 \
+ -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure cflags man $GTK1 $TKWIDGETS $INTL \
+ --prefix=/usr \
+ --mandir=/usr/man/man1 \
+ --docdir=/usr/doc/$PRGNAM-$VERSION
+# bring deprecated function call into conformance with libpng14
+sed -i~ 's/png_set_gray_1_2_4_to_8/png_set_expand_gray_1_2_4_to_8/' src/png.c
+
+make
+make DESTDIR=$PKG install
+(cd $PKG/usr/bin && ln -s mtpaint mtv)
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+# go ahead and make this in case the handbook is skipped
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+
+if [[ $HANDBOOK == yes ]]; then
+ unzip $CWD/${PRGNAM}_handbook-$VERSION.zip
+ cd ${PRGNAM}_handbook-$VERSION
+ chown -R root:root .
+ find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 \
+ -o -perm 400 \) -exec chmod 644 {} \;
+ make DOCDIR=$PKG/usr/doc/$PRGNAM-$VERSION install
+fi
+
+cp -a [CNR]* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}